GatewayReceiverConfig (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: GatewayReceiverConfig

Package org.apache.geode.cache.configuration

# Class GatewayReceiverConfig

java.lang.Object
org.apache.geode.cache.configuration.GatewayReceiverConfig

All Implemented Interfaces:
  `Serializable`

@Experimental public class GatewayReceiverConfig extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="gateway-transport-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="start-port" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="end-port" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="bind-address" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="maximum-time-between-pings" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="hostname-for-senders" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="manual-start" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `bindAddress`
  `protected String`
  `endPort`
  `protected List<DeclarableType>`
  `gatewayTransportFilters`
  `protected String`
  `hostnameForSenders`
  `protected Boolean`
  `manualStart`
  `protected String`
  `maximumTimeBetweenPings`
  `protected String`
  `socketBufferSize`
  `protected String`
  `startPort`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GatewayReceiverConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBindAddress()`
  Gets the value of the bindAddress property.
  `String`
  `getEndPort()`
  Gets the value of the endPort property.
  `List<DeclarableType>`
  `getGatewayTransportFilters()`
  Gets the value of the gatewayTransportFilters property.
  `String`
  `getHostnameForSenders()`
  Gets the value of the hostnameForSenders property.
  `String`
  `getMaximumTimeBetweenPings()`
  Gets the value of the maximumTimeBetweenPings property.
  `String`
  `getSocketBufferSize()`
  Gets the value of the socketBufferSize property.
  `String`
  `getStartPort()`
  Gets the value of the startPort property.
  `Boolean`
  `isManualStart()`
  Gets the value of the manualStart property.
  `void`
  `setBindAddress(String value)`
  Sets the value of the bindAddress property.
  `void`
  `setEndPort(String value)`
  Sets the value of the endPort property.
  `void`
  `setHostnameForSenders(String value)`
  Sets the value of the hostnameForSenders property.
  `void`
  `setManualStart(Boolean value)`
  Sets the value of the manualStart property.
  `void`
  `setMaximumTimeBetweenPings(String value)`
  Sets the value of the maximumTimeBetweenPings property.
  `void`
  `setSocketBufferSize(String value)`
  Sets the value of the socketBufferSize property.
  `void`
  `setStartPort(String value)`
  Sets the value of the startPort property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### gatewayTransportFilters

    protected List<DeclarableType> gatewayTransportFilters

  - ### startPort

    protected String startPort

  - ### endPort

    protected String endPort

  - ### bindAddress

    protected String bindAddress

  - ### maximumTimeBetweenPings

    protected String maximumTimeBetweenPings

  - ### socketBufferSize

    protected String socketBufferSize

  - ### hostnameForSenders

    protected String hostnameForSenders

  - ### manualStart

    protected Boolean manualStart

- ## Constructor Details

  - ### GatewayReceiverConfig

    public GatewayReceiverConfig()

- ## Method Details

  - ### getGatewayTransportFilters

    public List<DeclarableType> getGatewayTransportFilters()
    Gets the value of the gatewayTransportFilters property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gatewayTransportFilters property.

    For example, to add a new item, do as follows:

         getGatewayTransportFilters().add(newItem);

    Objects of the following type(s) are allowed in the list `DeclarableType`

    Returns:
      the `List` of `GatewayTransportFilter` types.

  - ### getStartPort

    public String getStartPort()
    Gets the value of the startPort property. possible object is `String`
    Returns:
      the start port.

  - ### setStartPort

    public void setStartPort(String value)
    Sets the value of the startPort property. allowed object is `String`
    Parameters:
      `value` - the start port.

  - ### getEndPort

    public String getEndPort()
    Gets the value of the endPort property. possible object is `String`
    Returns:
      the end port.

  - ### setEndPort

    public void setEndPort(String value)
    Sets the value of the endPort property. allowed object is `String`
    Parameters:
      `value` - the end port.

  - ### getBindAddress

    public String getBindAddress()
    Gets the value of the bindAddress property. possible object is `String`
    Returns:
      the bind address.

  - ### setBindAddress

    public void setBindAddress(String value)
    Sets the value of the bindAddress property. allowed object is `String`
    Parameters:
      `value` - the bind address.

  - ### getMaximumTimeBetweenPings

    public String getMaximumTimeBetweenPings()
    Gets the value of the maximumTimeBetweenPings property. possible object is `String`
    Returns:
      the maximum time between pings.

  - ### setMaximumTimeBetweenPings

    public void setMaximumTimeBetweenPings(String value)
    Sets the value of the maximumTimeBetweenPings property. allowed object is `String`
    Parameters:
      `value` - the maximum time between pings.

  - ### getSocketBufferSize

    public String getSocketBufferSize()
    Gets the value of the socketBufferSize property. possible object is `String`
    Returns:
      the socket buffer size.

  - ### setSocketBufferSize

    public void setSocketBufferSize(String value)
    Sets the value of the socketBufferSize property. allowed object is `String`
    Parameters:
      `value` - the socket buffer size.

  - ### getHostnameForSenders

    public String getHostnameForSenders()
    Gets the value of the hostnameForSenders property. possible object is `String`
    Returns:
      the hostname for sender.

  - ### setHostnameForSenders

    public void setHostnameForSenders(String value)
    Sets the value of the hostnameForSenders property. allowed object is `String`
    Parameters:
      `value` - the hostname for sender.

  - ### isManualStart

    public Boolean isManualStart()
    Gets the value of the manualStart property. possible object is `Boolean`
    Returns:
      true if manual start is enabled, false otherwise.

  - ### setManualStart

    public void setManualStart(Boolean value)
    Sets the value of the manualStart property. allowed object is `Boolean`
    Parameters:
      `value` - enables or disabled manual start.